| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::RTShader::SGMaterialSerializerListener Class Reference
Optional Components » RTShaderSystem

This class responsible for translating core features of the RT Shader System for Ogre material scripts. More...

`#include <OgreShaderMaterialSerializerListener.h>`

Inheritance diagram for Ogre::RTShader::SGMaterialSerializerListener:
[legend]

## Public Member Functions
void | gpuProgramRefEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const String &attrib, const GpuProgramPtr &program, const GpuProgramParametersSharedPtr &params, GpuProgramParameters *defaultParams)
| Called when GPU program reference section event raised. More...
virtual void | materialEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const Material *mat)
| More...
virtual void | passEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const Pass *tech)
| More...
virtual void | techniqueEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const Technique *tech)
| More...
virtual void | textureUnitStateEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const TextureUnitState *textureUnit)
| More...

## Friends
class | ShaderGenerator

## Detailed Description

This class responsible for translating core features of the RT Shader System for Ogre material scripts.

## Member Function Documentation

## ◆ gpuProgramRefEventRaised()

void Ogre::MaterialSerializer::Listener::gpuProgramRefEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const String & | attrib,
|  | const GpuProgramPtr & | program,
|  | const GpuProgramParametersSharedPtr & | params,
|  | GpuProgramParameters * | defaultParams
| ) |  |
| inline inherited

Called when GPU program reference section event raised.

Parameters

  ser | The MaterialSerializer instance that writes the given material.
  event | The current section writing stage.
  skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  attrib | The GPU program reference description (vertex_program_ref, fragment_program_ref, etc).
  program | The program being written.
  params | The program parameters.
  defaultParams | The default program parameters.

The documentation for this class was generated from the following file:

- OgreShaderMaterialSerializerListener.h